
U++ - Bug #538

TheIDE fails to compile on Ubuntu 10.04

10/13/2013 11:15 AM - Jan Dolinár

Status: Approved Start date: 10/13/2013

Priority: Normal Due date:

Assignee: Jan Dolinár % Done: 100%

Category: CodeEditor Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Last two nightly launchpad builds failed with this error:

    Compiling /build/buildd/upp-6424/uppsrc/CodeEditor/Highlight.cpp

/build/buildd/upp-6424/uppsrc/CodeEditor/Highlight.cpp: In member function 'virtual void Upp::CodeEditor::HighlightLine(int,

Upp::Vector<Upp::LineEdit::Highlight>&, int)':

/build/buildd/upp-6424/uppsrc/CodeEditor/Highlight.cpp:723: error: no matching function for call to 'decode(int, int,

Upp::LineEdit::<anonymous enum>, int, Upp::LineEdit::<anonymous enum>, int)'

/build/buildd/upp-6424/uppsrc/CodeEditor/Highlight.cpp:724: error: no matching function for call to 'decode(int, int,

Upp::LineEdit::<anonymous enum>, int, Upp::LineEdit::<anonymous enum>, int)'

I suspect it has something to do with the thousand separators feature added recently.

This version of ubuntu is supported on servers only (till April 2015, desktop support ended in May), so I guess we can safely drop support

for it too. So the easiest fix might be to just drop support for it in U++ as well and ignore this problem. Please let me know if I should

disable it from nightly builds.

History

#1 - 10/16/2013 07:56 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Jan Dolinár

Tried something, is it fixed now?

#2 - 10/17/2013 06:19 AM - Jan Dolinár

- Status changed from Ready for QA to Approved

- % Done changed from 0 to 100

Yes, it seems to be fixed. The latest nightly (6441) builds successfully.
